Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.ErrorType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.ErrorType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.ErrorType

extends java.lang.Enum
implements QtEnumerator

This enum describes the severity when an error has occurred during playback.

After a media object has entered the `ErrorState` , one can query the type of error from `MediaObject::errorType()`. Note that you should query the error when receiving the `MediaObject::stateChanged()` signal, because the error type will be lost if the media object leaves the error state.

See also:
  `MediaObject::errorType()`.

See Also:
  Serialized Form

Field Summary
`static Phonon.ErrorType` | `FatalError` .
`static Phonon.ErrorType` | `NoError` No error.
`static Phonon.ErrorType` | `NormalError` An error has occurred with the playback of the current source.

Method Summary
`static Phonon.ErrorType` | `resolve(int value)` Returns the Phonon$ErrorType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.ErrorType` | `valueOf(java.lang.String name)`
`static Phonon.ErrorType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final Phonon.ErrorType NoError

  No error. `MediaObject::errorType()` returns this if `MediaObject::state()` != `Phonon::ErrorState` .

### NormalError

    public static final Phonon.ErrorType NormalError

  An error has occurred with the playback of the current source. It might be possible to continue playback, for instance, if only the audio stream in a video cannot be played back. The media object will then leave the error state again.

### FatalError

    public static final Phonon.ErrorType FatalError

  . Something important does not work. Your program cannot continue the playback of the current source, but it might be possible to try another.

Method Detail

### values

    public static Phonon.ErrorType[] values()

### valueOf

    public static Phonon.ErrorType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.ErrorType resolve(int value)

  Returns the Phonon$ErrorType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD